import request from "@/utils/request";

// 导航列表
export function navigationList(params) {
  return request({
    url: "/business/innovateCategory/list",
    method: "get",
    params,
  });
}
// 导航列表-添加
export function navigationAdd(data) {
  return request({
    url: "/business/innovateCategory",
    method: "post",
    data,
  });
}
// 导航列表-修改
export function navigationEdit(data) {
  return request({
    url: "/business/innovateCategory",
    method: "put",
    data,
  });
}
// 导航列表-删除
export function navigationDelete(ids) {
  return request({
    url: `/business/innovateCategory/${ids}`,
    method: "delete",
  });
}
// 导航-下拉
export function navigationSelect() {
  return request({
    url: "/admin/v1/service/innovate/kind/select",
  });
}

// 服务列表
export function serviceList(params) {
  return request({
    url: "/business/innovateService/list",
    method: "get",
    params,
  });
}
// 服务列表-添加
export function serviceAdd(data) {
  return request({
    url: "/business/innovateService",
    method: "post",
    data,
  });
}
// 服务列表-详情
export function serviceDetail(id) {
  return request({
    url: `/business/innovateService/${id}`,
    method: "get",
  });
}
// 服务列表-修改
export function serviceEdit(data) {
  return request({
    url: "/business/innovateService",
    method: "put",
    data,
  });
}
// 服务列表-删除
export function serviceDelete(ids) {
  return request({
    url: `/business/innovateService/${ids}`,
    method: "delete",
  });
}
